import { INinePatchCacheData, INinePatchGame } from "./NinePatchPlugin";
export declare class NinePatch extends PIXI.DisplayObjectContainer {
    game: Phaser.Game;
    /**
     * The eventual sizes of the container
     */
    private localWidth;
    private localHeight;
    /**
     * The sizes of the edges
     */
    private leftSize;
    private topSize;
    private rightSize;
    private bottomSize;
    /**
     * The original texture, unmodified
     */
    private baseTexture;
    private baseFrame;
    private patches;
    private anchor;
    constructor(game: INinePatchGame, x: number, y: number, key: string, frame: string, width: number, height: number, data?: INinePatchCacheData);
    update(): void;
    postUpdate(): void;
    loadTexture(key: string, frame?: string): void;
    frameName: string;
    resize(width: number, height: number): void;
    setAnchor(x: number, y: number): void;
    destroy(): void;
    private flushPatches;
    private internalLoadTexture;
    private internalSetFrame;
    private drawPatches;
    private createPatch;
}
